Bug 438021 - Don't take over the entire Apache docroot
Don't take over the entire Apache docroot
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: WebUI (Show other bugs)
1.0
All Linux
high Severity high
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: freeipa10 429034
  Show dependency treegraph
 
Reported: 2008-03-18 14:31 EDT by Rob Crittenden
Modified: 2015-01-04 18:31 EST (History)
1 user (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
set web URL root to /ipa (4.27 KB, patch)
2008-03-19 13:26 EDT, Rob Crittenden
no flags Details | Diff
re-root to /ipa (6.83 KB, patch)
2008-03-20 17:49 EDT, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Rob Crittenden 2008-03-18 14:31:00 EDT
IPA currently takes over the entire web space on the server it is installed on.

It has been requested that it listen on /freeipa for the UI instead of directing
all requests there.
Comment 1 Rob Crittenden 2008-03-19 13:26:05 EDT
Created attachment 298546 [details]
set web URL root to /ipa
Comment 2 Rob Crittenden 2008-03-20 17:49:27 EDT
Created attachment 298751 [details]
re-root to /ipa
Comment 3 Rob Crittenden 2008-03-24 15:55:10 EDT
Committed in changeset 725
Comment 4 Yi Zhang 2008-04-08 19:08:01 EDT
this configuration is defined at:
/etc/httpd/conf.d/ipa-rewrite.conf

which direct all traffic to http://{host}/ipa

qa verified, bug closed
build used: 4-8-2008 daily build

Note You need to log in before you can comment on or make changes to this bug.